<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net8.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UseWPF>true</UseWPF>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Olds\**" />
    <EmbeddedResource Remove="Olds\**" />
    <None Remove="Olds\**" />
    <Page Remove="Olds\**" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="App\WizardControl.xaml.cs" />
    <Compile Remove="Invokes\CameraHub.cs" />
  </ItemGroup>

  <ItemGroup>
    <Page Remove="App\WizardControl.xaml" />
    <Page Remove="Style\Themes\Colors.Dark.xaml" />
    <Page Remove="Style\Themes\Colors.Light.xaml" />
    <Page Remove="Style\Themes\Sizes.xaml" />
    <Page Remove="Style\Themes\Styles.xaml" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\SHH.Contracts\SHH.Contracts.csproj" />
    <ProjectReference Include="..\SHH.ProcessLaunchers\SHH.ProcessLaunchers.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Resource Include="Style\Themes\Colors.Light.xaml">
      <Generator>MSBuild:Compile</Generator>
    </Resource>
  </ItemGroup>

  <ItemGroup>
    <Resource Include="Style\Themes\Colors.Dark.xaml" />
    <Resource Include="Style\Themes\Sizes.xaml" />
    <Resource Include="Style\Themes\Styles.xaml" />
  </ItemGroup>

</Project>
